Subject: Re: bug#7255: [PATCH] Fix reporting `unknown' by uname -p and uname -i

From: Jim Meyering <[email-masked]>
Date: Tue, 19 Apr 2011 09:01:37 +0200

tags 7255 notabug
close 7255
thanks

Eric Blake wrote:
> On 10/20/2010 03:26 PM, Artur Rona wrote:
>> I'm sending a patch from Launchpad, which fixes bug in coreutils.
>>
>> TEST CASE:
>> Use command 'uname -i' or uname -p'
>>
>> Launchpad bug: https://launchpad.net/bugs/470550
>> Patch is able to use on coreutils 8.5.
>>
>> We look forward to your response.
>
> Thanks for your work.  But as pointed out in that launchpad discussion:
>
>> This has been discussed upstream; see:
>>
>> *
>> http://lists.gnu.org/archive/html/bug-coreutils/2005-09/msg00053.html
>> for a more discussed thread, or
>> *
>> http://lists.gnu.org/archive/html/bug-coreutils/2007-04/msg00089.html
>> for a to-the-point one.
>>
>> There are other hits, BTW.
>>
>> Summary, as far as I can understand: coreutils will not provide
>> uname -p -i' on Linux platforms since the 'sysinfo()' call does not
>> support it, and /proc is er, considered too Linux-specific.
>>
>> I would tend to mark this one INVALID
>
> I still think you are better off investing effort in improving the
> Linux kernel uname() or sysinfo() syscalls to provide the information
> natively than you are to try and parse /proc/cpuinfo on the fly.

Thanks.
This was resolved months ago.  Closing.